package com.iloomo.constant;

import java.util.HashMap;
import java.util.Map;

public class SysConstant {
	public static double poundage = 0.1;
	public static double shareBbenefit = 0.1;


	/**
	 * 商户消费表支付类型shop_order_main
	 * 卡包扩充来源1-商户购买 2-运营后台添加
	 * @return
	 */
	public static int ORDER_RESOURCE_SHOP= 1;
	public static int ORDER_RESOURCE_CONSOLE = 2;
	
	/**
	 * 商户消费表支付类型shop_order_main
	 * 支付类型：0钱包，1支付宝，2微信
	 * @return
	 */
	public static int PAY_TYPE_WALLET = 0;
	public static int PAY_TYPE_ALIPAY = 1;
	public static int PAY_TYPE_WECHAT = 2;
	
	/**
	 * 商户消费表是否拆分shop_order_main
	 * 订单类型：1、购买卡包，2、短信，3、购买服务
	 * @return
	 */
	public static int SPLIT_STATUS_NO = 0;
	public static int SPLIT_STATUS_YES = 1;
	
	/**
	 * 商户消费表状态shop_order_main
	 * 支付状态:0、未支付，1已支付，2、支付失败
	 * @return
	 */
	public static int SHOP_PAY_STATUS_NOPAY = 0;
	public static int SHOP_PAY_STATUS_PAY = 1;
	public static int SHOP_PAY_STATUS_FALSE = 2;
	
	/**
	 * 商户消费表消费类型shop_order_main
	 * 订单类型：1、购买卡包，2、短信，3、购买服务
	 * @return
	 */
	public static int BUY_TYPE_CARD = 1;
	public static int BUY_TYPE_SMS = 2;
	public static int BUY_TYPE_SERVICE = 3;
	
	//系统参数
	//发送短信手续费
	public static final String SMS_FEE = "sms_fee";
	
	//微信小程序
	//是否推荐
	public static final int IS_RECOMMEND = 1;
	
	// 默认分页条数
	public static final int PAGE_SIZE = 10;
	//判断JS跨域
	public static final boolean IS_JSONP = true;
	public static final String CALL_BACK = "callback";
	
	//訂單狀態
	//订单状态：0，待付款；1，待接单；2，已接单；3，进行中；4，待评价；5，已完成；6，退款中；7，已退款;8, 取消中；9,取消；10已拒接
	public static final int ORDER_STATUS_UNPAY = 0;
	public static final int ORDER_STATUS_UNTASK = 1;
	public static final int ORDER_STATUS_TASK = 2;
	public static final int ORDER_STATUS_TASKING = 3;
	public static final int ORDER_STATUS_UNEVALUATE = 4;
	public static final int ORDER_STATUS_FINISH = 5;
	public static final int ORDER_STATUS_REFUNDING =6;
	public static final int ORDER_STATUS_REFUNDED = 7;
	public static final int ORDER_STATUS_CANCELING = 8;
	public static final int ORDER_STATUS_CANCEL = 9;
	public static final int ORDER_STATUS_REFUSED = 10;
	
	//支付的目标 1：商家   2：平台
	public static final int PAY_WHO_SHOP = 1;
	public static final int PAY_WHO_PLATFORM = 2;
	
	
	// 小程序发现页面缩放比例和距离的对应关系,key 缩放比例、value 距离公里
	public static final Map SCALE_DISTANCE_MAP = new HashMap();
	public static final int MAX_SCALE = 16;
	public static final int MIN_SCALE = 12;
	
	//订单类型
	//1，支付订单；2，预约订单；3,当面付订单
	public static final int ORDER_TYPE_PAY = 1;
	public static final int ORDER_TYPE_BOOK = 2;
	public static final int ORDER_TYPE_PERSONALLY= 3;
	
	//用户是否删除  1:删除 0:未删除
	public static final int DELETE＿YES = 1;
	public static final int DELETE＿NO = 0;
	
	
	//是否上门服务
	public static final int HOME_SERVICE_YES = 1;
	public static final int HOME_SERVICE_NO = 0;
	
	//服务类型
	//1.固定服务类型  2.不固定服务类型
	public static final int SERVICE_TYPE_FIX_FEE = 1;
	public static final int SERVICE_TYPE_UNFIX_FEE = 2;
	
	//是否支持预订
	public static final int SUPPORT_BOOK_NO = 0;
	public static final int SUPPORT_BOOK_YES = 1;
	
	
	//OSS路径
	public static final String TEXT_SHOP_PATH = "textShopPath";
	public static final String TEXT_CATEGORY_PATH = "textCategoryPath";
	public static final String TEXT_SHOP_SKU_PATH = "textShopSkuPath";
	public static final String TEXT_MEMBER_CLERK_PATH = "textMemberClerkPath";
	public static final String TEXT_AGENT_FILE_PATH = "textAgentFilePath";
	public static final String TEXT_PHOTO_PATH ="textPhotoPath";
	public static final String TEXT_EVALUATE_PATH = "textEvaluatePath";
	
	//分隔符
	public static final String SEPARATOR_SYMBOL = "/";
	
	
	
	public static final int IMAGE_TYPE_CATEGORY = 1;
    public static final int IMAGE_TYPE_SHOP = 2;
    public static final int IMAGE_TYPE_SKU = 3;
    public static final int IMAGE_TYPE_ORDER = 5;
    public static final int IMAGE_TYPE_CLERK_AVATAR = 6;
    public static final int IMAGE_TYPE_SHOP_PAY_QRCODE = 7;
    public static final int IMAGE_TYPE_COMMENT = 8;
    public static final int FILE_WX_TXT = 9;
    public static final int CAROUSEL_FIGURE =10;
    public static final int IMAGE_TYPE_SKU_KIND_EDITOR = 11;
    public static final int CAROUSEL_FIGURE_KIND_EDITOR =12;
    public static final int IMAGE_TYPE_SHOP_KIND_EDITOR =13;
    public static final int PHOTO = 14;
    public static final int IMAGE_TYPE_SKU_EVALUATE = 15;
    public static final int IMAGE_TYPE_SKU_COMMON = 15;

    
	public static final Map<Integer, String> IMAGE_TYPE_MAP = new HashMap<Integer, String>(){
        {
            put(IMAGE_TYPE_CATEGORY, "category");
            put(IMAGE_TYPE_SHOP, "shop");
            put(IMAGE_TYPE_SKU, "sku");
            put(IMAGE_TYPE_SKU_KIND_EDITOR,"sku");
            put(IMAGE_TYPE_ORDER, "order");
            put(IMAGE_TYPE_CLERK_AVATAR, "clerk_avatar");
            put(IMAGE_TYPE_SHOP_PAY_QRCODE, "qrcode_shop_pay");
            put(IMAGE_TYPE_COMMENT,"comment");
            put(FILE_WX_TXT,"wx_txt");
            put(CAROUSEL_FIGURE,"shop");
            put(CAROUSEL_FIGURE_KIND_EDITOR,"shop");
            put(IMAGE_TYPE_SHOP_KIND_EDITOR,"shop");
            put(IMAGE_TYPE_SHOP_KIND_EDITOR,"agentFile");
            put(PHOTO,"photo");
            put(IMAGE_TYPE_SKU_EVALUATE,"evaluate");
            put(IMAGE_TYPE_SKU_EVALUATE,"common");
        }
    };
	
	static{
		/*SCALE_DISTANCE_MAP.put(12, 15);
		SCALE_DISTANCE_MAP.put(13, 7.5);
		SCALE_DISTANCE_MAP.put(14, 3.7);
		SCALE_DISTANCE_MAP.put(15, 2);
		SCALE_DISTANCE_MAP.put(16, 1);*/
		SCALE_DISTANCE_MAP.put(12, 5);
		SCALE_DISTANCE_MAP.put(13, 5);
		SCALE_DISTANCE_MAP.put(14, 5);
		SCALE_DISTANCE_MAP.put(15, 5);
		SCALE_DISTANCE_MAP.put(16, 5);
	}
	
}
